Subject: Re: [PATCH] powerpc: Replace cc constraint in inline assembly with cr0

From: Segher Boessenkool <[email-masked]>
Date: Sat, 1 Nov 2014 08:33:17 -0500

On Sat, Nov 01, 2014 at 11:42:51AM +1100, Anton Blanchard wrote:
> Our inline assembly only clobbers the first condition register field,
> but we mark all of them as being clobbered.

No, we don't.  "cc" has been an alias for cr0 for over twenty two and a
half years now; it has never changed meaning.  This is an LLVM bug.

Segher